.main-grid {
    margin-top: 8rem;
    row-gap: 4rem;
    position: relative;
    grid-auto-flow: dense;
}

.stats {
    grid-column: 2 / 11;
    display: grid;
    grid-template-columns: repeat(9, minmax(0, 1fr));
}

.stats .stat {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.stats .box {
    width: 100%;
    aspect-ratio: 1;
    background-color: var(--red);
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2em;
    color: var(--white);
    border-radius: 50%;
}

.stats .subtitle {
    margin-top: 1rem;
    text-align: center;
}

.left-column {
    grid-column: 2 / 6;
}

.right-column {
    grid-column: 7 / 11;
}

.aspect-picture-container {
    max-width: 100%;
    position: relative;
    min-height: 30rem;
}

.aspect-picture {
    aspect-ratio: 1;
    object-fit: cover;
    max-width: 100%;
    min-height: 100%;
}

.aspect-picture-container .contact-button {
    position: absolute;
    bottom: 4rem;
    width: fit-content !important;
    left: 50%;
    transform: translateX(-50%);
    /* color: var(--white);
    border-color: var(--white);
    background-color: rgba(0, 0, 0, 0.16);
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.694);
    text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.694); */
}

.contact-button-container {
    margin-top: 1rem;
    display: flex;
    align-items: last baseline;
}

.aspect-description-container {
    width: 100%;
    align-self: center;
}

.aspect-testimonial {
    padding: 0 15%;
    justify-self: center;
    text-align: justify;
    margin-bottom: 8rem;
}

.aspect-testimonial .stars {
    text-align: center;
    font-size: 2em;
    margin-bottom: 1rem;
    color: var(--red);
}

.aspect-testimonial p {
    margin-bottom: 1em;
    position: relative;
}

/* .aspect-testimonial p::before {
    content: '“';
    font-size: 4rem;
    position: absolute;
    transform: translateX(-0.5em) translateY(-0.5em);
    color: var(--nav-trans);
    font-family: 'Times New Roman', Times, serif
}

.aspect-testimonial p::after {
    content: '”';
    font-size: 4rem;
    position: absolute;
    right: 0;
    transform: translateX(0.5em) translatey(-0.125em);
    color: var(--nav-trans);
    font-family: 'Times New Roman', Times, serif
} */

.aspect-title {
    margin-bottom: 1em;
}

.continue {
    user-select: none;
    font-weight: lighter;
    display: flex;
    align-items: center;
    justify-content: center;
}

.down-arrow {
    position: absolute;
    width: 0; 
    height: 0; 
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    
    border-top: 20px solid var(--black);
}
.down-arrow-inner {
    width: 0; 
    height: 0; 
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    
    border-top: 20px solid var(--white);
    z-index: 10;

    transform: translateY(-2px);
}

.continue.right-column {
    grid-column: 6 / 11;
    border-left: 0;
    padding-left: 20%;
    padding-bottom: 8rem;
}

.aspect-testimonial.left-column {
    border-right: 0;
}

.continue.left-column {
    grid-column: 2 / 7;
    border-right: 0;
    padding-right: 20%;
    padding-bottom: 8rem;
}

.aspect-testimonial.right-column {
    border-left: 0;
}




/* Mobile */

@media screen and (max-width: 30em) {
    #splash h1 {
        font-size: 3em;
    }

    .left-column {
        grid-column: 2 / 11;
    }

    .right-column {
        grid-column: 2 / 11;
    }

    .aspect-title {
        margin-top: 2rem;
    }

    .aspect-description-container {
        margin-top: -4em;
    }

    .aspect-testimonial {
        border: 0;
        grid-column: 1 / 12;
        width: 100%;
        padding: calc(100% / 11 * 2);
        box-sizing: border-box;
        margin-bottom: 0;
    }

    .continue {
        display: none;
    }

    .stats {
        row-gap: 2em;
    }

    .stats .stat:first-child {
        grid-column: 1 / 5 !important;
    }

    .stats .stat:nth-child(2) {
        grid-column: 6 / 10 !important;
    }

    .stats .stat:nth-child(3) {
        grid-column: 1 / 5 !important;
    }

    .stats .stat:nth-child(4) {
        grid-column: 6 / 10 !important;
    }

    .stats .stat:nth-child(5) {
        grid-column: 1 / 5 !important;
    }

    fieldset {
        grid-column: 2 / 11 !important;
    }

    #contact-article {
        grid-column: 2 / 11 !important;
        display: grid !important;
        grid-template-columns: minmax(0, 1fr);
    }

    #contact-article h2 {
        margin-bottom: 2rem;
    }

    textarea {
        aspect-ratio: 4 / 3;
    }

    .g-recaptcha {
        grid-row: 6;
        grid-column: 2 / 11 !important;
    }

    #draganddrop {
        width: 100% !important;
    }

    #dropgallery {
        width: 100% !important;
    }

    #project-info {
        width: 100% !important;
    }

    #contact-info {
        width: 100% !important;
    }
}






/* FORM */

form {
    row-gap: 2rem !important;
}

fieldset {
    all: unset;
}

fieldset h2 {
    margin-bottom: 1rem;
}

label {
    display: block;
    color: var(--dark-grey);
    font-style: oblique;
}

#phonenumber {
    margin-bottom: 0;
}

input[type="text"] {
    border: none;
    background-color: transparent;
    border-bottom: 1px solid var(--nav-trans);
    font-family: var(--body-font);
    font-size: 1em;
    margin-bottom: 1em;
}

input[type="text"]:focus {
    outline: none;
    border-color: var(--accent);
}

select {
    font-size: 1em;
    font-family: var(--body-font);
    border: none;
    border-bottom: 1px solid var(--nav-trans);
    background-color: transparent;
    margin-bottom: 1em;
}

textarea {
    border: none;
    background-color: transparent;
    border-bottom: 1px solid var(--nav-trans);
    width: 100%;
    flex-grow: 1;
    resize: none;
    font-size: 1em;
    font-family: var(--body-font);
    padding: 1em;
    box-sizing: border-box;
    background-color: var(--light-grey);
}

textarea:focus {
    outline: none;
    border-color: var(--accent);
}






/* Drag And Drop */

#draganddrop {
    border: 1px solid var(--nav-trans);
    width: calc(100% - 2rem);
    box-sizing: border-box;
    aspect-ratio: 4 / 2;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#dropbg {
    position: absolute;
    opacity: 0;
    transition: opacity 1s;
    background-image: linear-gradient(to bottom right, rgba(102, 51, 153, 0.744), rgba(130, 59, 139, 0.79));
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    border-radius: 1em;
}

#upload-controls-wrapper {
    display: flex;
    flex-direction: row;
    align-self: center;
}

#draganddrop input, #draganddrop label {
    position: relative;
    z-index: 10;
}

#draganddrop[data-dragover="true"] #dropbg {
    opacity: 100;
}

::file-selector-button {
    margin-right: 1em;
    background-color: var(--white);
    color: var(--black);
    font-size: .75rem;
    border-color: var(--nav-trans);
}

input[type="file"] {
    font-family: var(--body-font);
    margin: 1em;
    color: transparent;
    font-size: 0;
}

#dropgallery {
    position: absolute;
    top: 1em;
    max-width: calc(100% - 2em);
    max-height: calc(100% - 2em);
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 2px;
    overflow-y: scroll;
}

#dropgallery:has(> :last-child:nth-child(1)) {
    grid-template-columns: repeat(1, minmax(0, 1fr));
}

#dropgallery:has(> :last-child:nth-child(2)) {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}
#dropgallery:has(> :last-child:nth-child(3)) {
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

#dropgallery img {
    max-width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    display: block;
}

#remove-uploads {
    position: relative;
    font-size: .75em;
    line-height: 1em;
    background-image: radial-gradient(circle at center, var(--red) 50%, var(--white) 50%);
    transition-duration: 0s;
    background-color: var(--white);
    border-color: var(--nav-trans);
}

#remove-uploads:hover {
    color: white;
    transition-duration: .1s;
}

#upload-info {
    font-size: .75em;
    background-color: var(--white);
    padding: 1rem;
    margin-left: .3em;
    font-style: italic;
    display: inline-block;
    position: relative;
    border-radius: 2rem;
}







#contact-info {
    grid-column: 2 / 5;
    display: flex;
    flex-direction: column;
    width: calc(100% - 2rem);
}

#name {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

#project-info {
    grid-column: 5 / 8;
    width: calc(100% - 2rem);
    display: flex;
    flex-direction: column;
}

#file-upload {
    grid-column: 2 / 5;
}

.g-recaptcha {
    width: calc(100% - 2em);
    margin-top: 2rem;
    height: fit-content;
    align-self: last baseline;
    grid-column: 5 / 8;
}

#contact-article {
    grid-column: 8 / 11;
    grid-row: span 2;
    display: flex;
    flex-direction: column;
}

#contact-article h2 {
    /* flex-grow: 1; */
}